ce107956b16beaa3a5a0104372b5100c78335b5c
[scilab.git] / scilab / modules / data_structures / Makefile.in
1 # Makefile.in generated by automake 1.11.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6 # Foundation, Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
19 # Copyright (C) 2006 - INRIA - Sylvestre LEDRU
20 #
21 # This file is distributed under the same license as the Scilab package.
22
23 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
24 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
25 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
26 #
27 # This file must be used under the terms of the CeCILL.
28 # This source file is licensed as described in the file COPYING, which
29 # you should have received as part of this distribution.  The terms
30 # are also available at
31 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
32 #
33
34 ##########
35 ### Makefile included stuff
36 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
37 ##########
38
39
40 VPATH = @srcdir@
41 am__make_dryrun = \
42   { \
43     am__dry=no; \
44     case $$MAKEFLAGS in \
45       *\\[\ \   ]*) \
46         echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
47           | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
48       *) \
49         for am__flg in $$MAKEFLAGS; do \
50           case $$am__flg in \
51             *=*|--*) ;; \
52             *n*) am__dry=yes; break;; \
53           esac; \
54         done;; \
55     esac; \
56     test $$am__dry = yes; \
57   }
58 pkgdatadir = $(datadir)/@PACKAGE@
59 pkgincludedir = $(includedir)/@PACKAGE@
60 pkglibdir = $(libdir)/@PACKAGE@
61 pkglibexecdir = $(libexecdir)/@PACKAGE@
62 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
63 install_sh_DATA = $(install_sh) -c -m 644
64 install_sh_PROGRAM = $(install_sh) -c
65 install_sh_SCRIPT = $(install_sh) -c
66 INSTALL_HEADER = $(INSTALL_DATA)
67 transform = $(program_transform_name)
68 NORMAL_INSTALL = :
69 PRE_INSTALL = :
70 POST_INSTALL = :
71 NORMAL_UNINSTALL = :
72 PRE_UNINSTALL = :
73 POST_UNINSTALL = :
74 build_triplet = @build@
75 host_triplet = @host@
76 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
77         $(top_srcdir)/Makefile.incl.am
78 @NEED_JAVA_TRUE@am__append_1 = java
79 subdir = modules/data_structures
80 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
81 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
82         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/curl.m4 \
83         $(top_srcdir)/m4/docbook.m4 $(top_srcdir)/m4/doxygen.m4 \
84         $(top_srcdir)/m4/eigen.m4 $(top_srcdir)/m4/fftw.m4 \
85         $(top_srcdir)/m4/fortran.m4 $(top_srcdir)/m4/giws.m4 \
86         $(top_srcdir)/m4/hdf5.m4 $(top_srcdir)/m4/intel_compiler.m4 \
87         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
88         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
89         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
90         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
91         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
92         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
93         $(top_srcdir)/m4/ocaml.m4 $(top_srcdir)/m4/pcre.m4 \
94         $(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/relocatable.m4 \
95         $(top_srcdir)/m4/swig.m4 $(top_srcdir)/m4/symlinks.m4 \
96         $(top_srcdir)/m4/tcltk.m4 $(top_srcdir)/m4/umfpack.m4 \
97         $(top_srcdir)/configure.ac
98 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
99         $(ACLOCAL_M4)
100 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
101 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
102 CONFIG_CLEAN_FILES =
103 CONFIG_CLEAN_VPATH_FILES =
104 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
105 am__vpath_adj = case $$p in \
106     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
107     *) f=$$p;; \
108   esac;
109 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
110 am__install_max = 40
111 am__nobase_strip_setup = \
112   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
113 am__nobase_strip = \
114   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
115 am__nobase_list = $(am__nobase_strip_setup); \
116   for p in $$list; do echo "$$p $$p"; done | \
117   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
118   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
119     if (++n[$$2] == $(am__install_max)) \
120       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
121     END { for (dir in files) print dir, files[dir] }'
122 am__base_list = \
123   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
124   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
125 am__uninstall_files_from_dir = { \
126   test -z "$$files" \
127     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
128     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
129          $(am__cd) "$$dir" && rm -f $$files; }; \
130   }
131 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
132         "$(DESTDIR)$(libscidata_structures_la_etcdir)" \
133         "$(DESTDIR)$(libscidata_structures_la_rootdir)" \
134         "$(DESTDIR)$(libscidata_structures_la_sci_gatewaydir)"
135 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
136 libscidata_structures_algo_la_LIBADD =
137 am__objects_1 = libscidata_structures_algo_la-stcreate.lo \
138         libscidata_structures_algo_la-hmops.lo \
139         libscidata_structures_algo_la-strpos.lo
140 am__objects_2 = extractfields.lo forcerhs.lo lsstyp.lo udptr.lo \
141         rattyp.lo gratyp.lo mlist.lo insertfield.lo
142 am_libscidata_structures_algo_la_OBJECTS = $(am__objects_1) \
143         $(am__objects_2)
144 libscidata_structures_algo_la_OBJECTS =  \
145         $(am_libscidata_structures_algo_la_OBJECTS)
146 @MAINTAINER_MODE_FALSE@am_libscidata_structures_algo_la_rpath =
147 @MAINTAINER_MODE_TRUE@am_libscidata_structures_algo_la_rpath =
148 libscidata_structures_la_DEPENDENCIES = libscidata_structures-algo.la
149 am__objects_3 = libscidata_structures_la-sci_lsslist.lo \
150         libscidata_structures_la-sci_glist.lo \
151         libscidata_structures_la-sci_definedfields.lo \
152         libscidata_structures_la-sci_getfield.lo \
153         libscidata_structures_la-sci_setfield.lo \
154         libscidata_structures_la-sci_lstcat.lo \
155         libscidata_structures_la-gw_data_structures1.lo \
156         libscidata_structures_la-gw_data_structures2.lo \
157         libscidata_structures_la-sci_lstsize.lo \
158         libscidata_structures_la-sci_rlist.lo
159 am__objects_4 = sci_f_definedfields.lo sci_f_lstsize.lo \
160         sci_f_lstcat.lo sci_f_list.lo
161 am_libscidata_structures_la_OBJECTS = $(am__objects_3) \
162         $(am__objects_4)
163 libscidata_structures_la_OBJECTS =  \
164         $(am_libscidata_structures_la_OBJECTS)
165 @MAINTAINER_MODE_FALSE@am_libscidata_structures_la_rpath =
166 @MAINTAINER_MODE_TRUE@am_libscidata_structures_la_rpath = -rpath \
167 @MAINTAINER_MODE_TRUE@  $(pkglibdir)
168 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
169 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
170 am__depfiles_maybe = depfiles
171 am__mv = mv -f
172 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
173         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
174 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
175         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
176         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
177 CCLD = $(CC)
178 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
179         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
180         $(LDFLAGS) -o $@
181 F77COMPILE = $(F77) $(AM_FFLAGS) $(FFLAGS)
182 LTF77COMPILE = $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
183         --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS)
184 F77LD = $(F77)
185 F77LINK = $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
186         --mode=link $(F77LD) $(AM_FFLAGS) $(FFLAGS) $(AM_LDFLAGS) \
187         $(LDFLAGS) -o $@
188 SOURCES = $(libscidata_structures_algo_la_SOURCES) \
189         $(libscidata_structures_la_SOURCES)
190 DIST_SOURCES = $(libscidata_structures_algo_la_SOURCES) \
191         $(libscidata_structures_la_SOURCES)
192 am__can_run_installinfo = \
193   case $$AM_UPDATE_INFO_DIR in \
194     n|no|NO) false;; \
195     *) (install-info --version) >/dev/null 2>&1;; \
196   esac
197 DATA = $(libscidata_structures_la_etc_DATA) \
198         $(libscidata_structures_la_root_DATA) \
199         $(libscidata_structures_la_sci_gateway_DATA)
200 ETAGS = etags
201 CTAGS = ctags
202 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
203 ACLOCAL = @ACLOCAL@
204 ALL_LINGUAS = @ALL_LINGUAS@
205 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
206 AMTAR = @AMTAR@
207 ANT = @ANT@
208 ANTLR = @ANTLR@
209 AR = @AR@
210 ARPACK_LIBS = @ARPACK_LIBS@
211 ASM3 = @ASM3@
212 AUTOCONF = @AUTOCONF@
213 AUTOHEADER = @AUTOHEADER@
214 AUTOMAKE = @AUTOMAKE@
215 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
216 AWK = @AWK@
217 BATIK = @BATIK@
218 BLAS_LIBS = @BLAS_LIBS@
219 CC = @CC@
220 CCACHE = @CCACHE@
221 CCDEPMODE = @CCDEPMODE@
222 CFLAGS = @CFLAGS@
223 CHECKSTYLE = @CHECKSTYLE@
224 COBERTURA = @COBERTURA@
225 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
226 COMMONS_IO = @COMMONS_IO@
227 COMMONS_LOGGING = @COMMONS_LOGGING@
228 CPP = @CPP@
229 CPPFLAGS = @CPPFLAGS@
230 CURL_CFLAGS = @CURL_CFLAGS@
231 CURL_CONFIG = @CURL_CONFIG@
232 CURL_LIBS = @CURL_LIBS@
233 CURL_VERSION = @CURL_VERSION@
234 CXX = @CXX@
235 CXXCPP = @CXXCPP@
236 CXXDEPMODE = @CXXDEPMODE@
237 CXXFLAGS = @CXXFLAGS@
238 CYGPATH_W = @CYGPATH_W@
239 DEFS = @DEFS@
240 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
241 DEPDIR = @DEPDIR@
242 DOCBOOK_ROOT = @DOCBOOK_ROOT@
243 DOXYGEN_BIN = @DOXYGEN_BIN@
244 DSYMUTIL = @DSYMUTIL@
245 DUMPBIN = @DUMPBIN@
246 ECHO_C = @ECHO_C@
247 ECHO_N = @ECHO_N@
248 ECHO_T = @ECHO_T@
249 EGREP = @EGREP@
250 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
251 EXEEXT = @EXEEXT@
252 F77 = @F77@
253 FFLAGS = @FFLAGS@
254 FFTW3_LIB = @FFTW3_LIB@
255 FFTW_ENABLE = @FFTW_ENABLE@
256 FGREP = @FGREP@
257 FLEXDOCK = @FLEXDOCK@
258 FLIBS = @FLIBS@
259 FOP = @FOP@
260 GENHTML = @GENHTML@
261 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
262 GIWS_BIN = @GIWS_BIN@
263 GLUEGEN2_RT = @GLUEGEN2_RT@
264 GMSGFMT = @GMSGFMT@
265 GMSGFMT_015 = @GMSGFMT_015@
266 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
267 GREP = @GREP@
268 GUI_ENABLE = @GUI_ENABLE@
269 HDF5_CFLAGS = @HDF5_CFLAGS@
270 HDF5_LIBS = @HDF5_LIBS@
271 HELP_ENABLE = @HELP_ENABLE@
272 INSTALL = @INSTALL@
273 INSTALL_DATA = @INSTALL_DATA@
274 INSTALL_PROGRAM = @INSTALL_PROGRAM@
275 INSTALL_SCRIPT = @INSTALL_SCRIPT@
276 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
277 INTLLIBS = @INTLLIBS@
278 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
279 JAR = @JAR@
280 JAVA = @JAVA@
281 JAVAC = @JAVAC@
282 JAVAC_DEBUG = @JAVAC_DEBUG@
283 JAVADOC = @JAVADOC@
284 JAVAH = @JAVAH@
285 JAVASCI_ENABLE = @JAVASCI_ENABLE@
286 JAVA_ENABLE = @JAVA_ENABLE@
287 JAVA_G = @JAVA_G@
288 JAVA_HOME = @JAVA_HOME@
289 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
290 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
291 JDB = @JDB@
292 JEUCLID_CORE = @JEUCLID_CORE@
293 JGRAPHX = @JGRAPHX@
294 JHALL = @JHALL@
295 JLATEXMATH = @JLATEXMATH@
296 JLATEXMATH_FOP = @JLATEXMATH_FOP@
297 JOGL2 = @JOGL2@
298 JROSETTA_API = @JROSETTA_API@
299 JROSETTA_ENGINE = @JROSETTA_ENGINE@
300 JUNIT4 = @JUNIT4@
301 LAPACK_LIBS = @LAPACK_LIBS@
302 LCOV = @LCOV@
303 LD = @LD@
304 LDFLAGS = @LDFLAGS@
305 LEX = @LEX@
306 LEXLIB = @LEXLIB@
307 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
308 LIBICONV = @LIBICONV@
309 LIBINTL = @LIBINTL@
310 LIBM = @LIBM@
311 LIBOBJS = @LIBOBJS@
312 LIBS = @LIBS@
313 LIBTOOL = @LIBTOOL@
314 LIPO = @LIPO@
315 LN_S = @LN_S@
316 LOGGING_LEVEL = @LOGGING_LEVEL@
317 LOOKS = @LOOKS@
318 LTLIBICONV = @LTLIBICONV@
319 LTLIBINTL = @LTLIBINTL@
320 LTLIBOBJS = @LTLIBOBJS@
321 MAINT = @MAINT@
322 MAKEINFO = @MAKEINFO@
323 MATIO_CFLAGS = @MATIO_CFLAGS@
324 MATIO_ENABLE = @MATIO_ENABLE@
325 MATIO_LIBS = @MATIO_LIBS@
326 MKDIR_P = @MKDIR_P@
327 MSGCAT = @MSGCAT@
328 MSGFMT = @MSGFMT@
329 MSGFMT_015 = @MSGFMT_015@
330 MSGMERGE = @MSGMERGE@
331 NM = @NM@
332 NMEDIT = @NMEDIT@
333 OBJDUMP = @OBJDUMP@
334 OBJEXT = @OBJEXT@
335 OCAMLC = @OCAMLC@
336 OCAMLDEP = @OCAMLDEP@
337 OCAMLLEX = @OCAMLLEX@
338 OCAMLOPT = @OCAMLOPT@
339 OCAMLYACC = @OCAMLYACC@
340 OPENMP_CFLAGS = @OPENMP_CFLAGS@
341 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
342 OPENMP_ENABLE = @OPENMP_ENABLE@
343 OPENMP_LIBS = @OPENMP_LIBS@
344 OTOOL = @OTOOL@
345 OTOOL64 = @OTOOL64@
346 PACKAGE = @PACKAGE@
347 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
348 PACKAGE_NAME = @PACKAGE_NAME@
349 PACKAGE_STRING = @PACKAGE_STRING@
350 PACKAGE_TARNAME = @PACKAGE_TARNAME@
351 PACKAGE_URL = @PACKAGE_URL@
352 PACKAGE_VERSION = @PACKAGE_VERSION@
353 PATH_SEPARATOR = @PATH_SEPARATOR@
354 PCRE_CFLAGS = @PCRE_CFLAGS@
355 PCRE_CONFIG = @PCRE_CONFIG@
356 PCRE_LIBS = @PCRE_LIBS@
357 PCRE_VERSION = @PCRE_VERSION@
358 PKG_CONFIG = @PKG_CONFIG@
359 POSUB = @POSUB@
360 POW_LIB = @POW_LIB@
361 PYTHON = @PYTHON@
362 RANLIB = @RANLIB@
363 RELOCATABLE = @RELOCATABLE@
364 RT_LIB = @RT_LIB@
365 SAXON = @SAXON@
366 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
367 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
368 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
369 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
370 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
371 SCIRENDERER = @SCIRENDERER@
372 SCIRENDERER_CP = @SCIRENDERER_CP@
373 SCI_CFLAGS = @SCI_CFLAGS@
374 SCI_CXXFLAGS = @SCI_CXXFLAGS@
375 SCI_FFLAGS = @SCI_FFLAGS@
376 SCI_LDFLAGS = @SCI_LDFLAGS@
377 SED = @SED@
378 SET_MAKE = @SET_MAKE@
379 SET_RELOCATABLE = @SET_RELOCATABLE@
380 SHELL = @SHELL@
381 SKINLF = @SKINLF@
382 SPLINT = @SPLINT@
383 STRIP = @STRIP@
384 SWIG_BIN = @SWIG_BIN@
385 SWIG_JAVA = @SWIG_JAVA@
386 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
387 TCLTK_LIBS = @TCLTK_LIBS@
388 TCL_INC_PATH = @TCL_INC_PATH@
389 TK_INC_PATH = @TK_INC_PATH@
390 UMFPACK_ENABLE = @UMFPACK_ENABLE@
391 UMFPACK_LIB = @UMFPACK_LIB@
392 USE_NLS = @USE_NLS@
393 VERSION = @VERSION@
394 WITH_OCAML = @WITH_OCAML@
395 WITH_TKSCI = @WITH_TKSCI@
396 XCOS_ENABLE = @XCOS_ENABLE@
397 XGETTEXT = @XGETTEXT@
398 XGETTEXT_015 = @XGETTEXT_015@
399 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
400 XMKMF = @XMKMF@
401 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
402 XML_APIS_EXT = @XML_APIS_EXT@
403 XML_CONFIG = @XML_CONFIG@
404 XML_FLAGS = @XML_FLAGS@
405 XML_LIBS = @XML_LIBS@
406 XML_VERSION = @XML_VERSION@
407 X_CFLAGS = @X_CFLAGS@
408 X_EXTRA_LIBS = @X_EXTRA_LIBS@
409 X_LIBS = @X_LIBS@
410 X_PRE_LIBS = @X_PRE_LIBS@
411 YACC = @YACC@
412 YFLAGS = @YFLAGS@
413 abs_builddir = @abs_builddir@
414 abs_srcdir = @abs_srcdir@
415 abs_top_builddir = @abs_top_builddir@
416 abs_top_srcdir = @abs_top_srcdir@
417 ac_ct_CC = @ac_ct_CC@
418 ac_ct_CXX = @ac_ct_CXX@
419 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
420 ac_ct_F77 = @ac_ct_F77@
421 am__include = @am__include@
422 am__leading_dot = @am__leading_dot@
423 am__quote = @am__quote@
424 am__tar = @am__tar@
425 am__untar = @am__untar@
426 bindir = @bindir@
427 build = @build@
428 build_alias = @build_alias@
429 build_cpu = @build_cpu@
430 build_os = @build_os@
431 build_vendor = @build_vendor@
432 builddir = @builddir@
433 cxx_present = @cxx_present@
434 datadir = @datadir@
435 datarootdir = @datarootdir@
436 docdir = @docdir@
437 dvidir = @dvidir@
438 exec_prefix = @exec_prefix@
439 host = @host@
440 host_alias = @host_alias@
441 host_cpu = @host_cpu@
442 host_os = @host_os@
443 host_vendor = @host_vendor@
444 htmldir = @htmldir@
445 includedir = @includedir@
446 infodir = @infodir@
447 install_sh = @install_sh@
448 libdir = @libdir@
449 libexecdir = @libexecdir@
450 localedir = @localedir@
451 localstatedir = @localstatedir@
452 mandir = @mandir@
453 mkdir_p = @mkdir_p@
454 oldincludedir = @oldincludedir@
455 pdfdir = @pdfdir@
456 prefix = @prefix@
457 program_transform_name = @program_transform_name@
458 psdir = @psdir@
459 sbindir = @sbindir@
460 sharedstatedir = @sharedstatedir@
461 srcdir = @srcdir@
462 sysconfdir = @sysconfdir@
463 target_alias = @target_alias@
464 top_build_prefix = @top_build_prefix@
465 top_builddir = @top_builddir@
466 top_srcdir = @top_srcdir@
467 yacc_present = @yacc_present@
468 DATA_STRUCTURES_C_SOURCES = src/c/stcreate.c \
469 src/c/hmops.c \
470 src/c/strpos.c
471
472 DATA_STRUCTURES_FORTRAN_SOURCES = src/fortran/extractfields.f \
473 src/fortran/forcerhs.f \
474 src/fortran/lsstyp.f \
475 src/fortran/udptr.f \
476 src/fortran/rattyp.f \
477 src/fortran/gratyp.f \
478 src/fortran/mlist.f \
479 src/fortran/insertfield.f
480
481 GATEWAY_C_SOURCES = sci_gateway/c/sci_lsslist.c \
482 sci_gateway/c/sci_glist.c \
483 sci_gateway/c/sci_definedfields.c \
484 sci_gateway/c/sci_getfield.c \
485 sci_gateway/c/sci_setfield.c \
486 sci_gateway/c/sci_lstcat.c \
487 sci_gateway/c/gw_data_structures1.c \
488 sci_gateway/c/gw_data_structures2.c \
489 sci_gateway/c/sci_lstsize.c \
490 sci_gateway/c/sci_rlist.c
491
492 GATEWAY_FORTRAN_SOURCES = sci_gateway/fortran/sci_f_definedfields.f \
493 sci_gateway/fortran/sci_f_lstsize.f \
494 sci_gateway/fortran/sci_f_lstcat.f \
495 sci_gateway/fortran/sci_f_list.f
496
497 libscidata_structures_la_CPPFLAGS = -I$(srcdir)/includes/ \
498 -I$(top_srcdir)/modules/localization/includes/ \
499 -I$(top_srcdir)/modules/output_stream/includes/ \
500 -I$(top_srcdir)/modules/string/includes/ \
501 -I$(top_srcdir)/modules/api_scilab/includes/ \
502 -I$(top_srcdir)/modules/operations/includes/ \
503 -I$(top_srcdir)/modules/string/includes/ \
504 $(AM_CPPFLAGS)
505
506 @MAINTAINER_MODE_TRUE@pkglib_LTLIBRARIES = libscidata_structures.la
507 @MAINTAINER_MODE_FALSE@noinst_LTLIBRARIES = libscidata_structures-algo.la libscidata_structures.la
508 @MAINTAINER_MODE_TRUE@noinst_LTLIBRARIES = libscidata_structures-algo.la
509 libscidata_structures_algo_la_SOURCES = $(DATA_STRUCTURES_C_SOURCES) $(DATA_STRUCTURES_FORTRAN_SOURCES)
510 libscidata_structures_la_SOURCES = $(GATEWAY_C_SOURCES) $(GATEWAY_FORTRAN_SOURCES)
511 libscidata_structures_algo_la_CPPFLAGS = $(libscidata_structures_la_CPPFLAGS)
512
513 # For the code check (splint)
514 CHECK_SRC = $(DATA_STRUCTURES_C_SOURCES) $(GATEWAY_C_SOURCES)
515 INCLUDE_FLAGS = $(libscidata_structures_la_CFLAGS)
516 libscidata_structures_la_LIBADD = libscidata_structures-algo.la
517
518 #### Target ######
519 modulename = data_structures
520
521 #### data_structures : Conf files ####
522 libscidata_structures_la_rootdir = $(mydatadir)
523 libscidata_structures_la_root_DATA = license.txt
524
525 ####┬ádata_structures : init scripts ####
526 libscidata_structures_la_etcdir = $(mydatadir)/etc
527 libscidata_structures_la_etc_DATA = etc/data_structures.quit etc/data_structures.start
528
529 ####┬ádata_structures : gateway declaration ####
530 libscidata_structures_la_sci_gatewaydir = $(mydatadir)/sci_gateway
531 libscidata_structures_la_sci_gateway_DATA = sci_gateway/data_structures_gateway.xml
532
533 # Where all the Scilab stuff is installed (macros, help, ...)
534 mydatadir = $(pkgdatadir)/modules/$(modulename)
535
536 # Set AM_* SCI detected settings
537 AM_CPPFLAGS = $(SCI_CPPFLAGS)
538 AM_CFLAGS = $(SCI_CFLAGS)
539 AM_CXXFLAGS = $(SCI_CXXFLAGS)
540 # append includes to AM_FFLAGS to manage fortran includes
541 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
542
543 # Tag shared libraries with the Scilab version
544 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
545
546 # splint options
547 SPLINT_OPTIONS = -weak -booltype BOOL
548
549 ########################### JAVA ######################################
550 #### We are delegating java compilation to ant... Thanks to that
551 #### the procedure will be the same with Microsoft Windows (C)
552 #### and Linux/Unix
553 #######################################################################
554 TARGETS_ALL = $(am__append_1)
555
556 ################ MACROS ######################
557 # Rule to build a macro
558 # NOT USED  AT THE MOMENT
559 SUFFIXES = .sci 
560
561 ########### INSTALL DOCUMENTATION ###################
562
563 # Install documentation files into the right target
564 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
565 # automake needs the html files to be present which is not the case when
566 # we are building Scilab
567
568 # Where it should be installed
569 pkgdocdir = $(mydatadir)
570
571 # What is the mask of the help source
572 DOCMASKXML = *.xml
573
574 # What is the mask of the MathML sources
575 DOCMASKMML = *.mml
576
577 ########### INSTALL DATA ###################
578 # Install macros, help & demos
579 # Where it should be installed
580 pkgmacrosdir = $(mydatadir)
581 # Which directory we process
582 MACRODIRS = macros/
583 # Mask of the Scilab sources macros
584 MACROMASK = *.sci
585 # Mask of the Scilab executable sources macros
586 MACROBUILDMASK = *.sce
587 # Mask of the Scilab compiled macros
588 MACROBINMASK = *.bin
589 # List of the standard directory for tests
590 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
591 # Where the demos should be installed
592 pkgdemosdir = $(mydatadir)
593 # List of the standard directory for demos
594 DEMOS_DIR = demos
595 # List of the standard directory for examples
596 EXAMPLES_DIR = examples
597 # Where to export JAVA archives (.jar)
598 JARDIR = jar/
599 # JAR files mask
600 JARMASK = *.jar
601 # Chapter file 
602 HELP_CHAPTERDIR = help/
603 HELP_CHAPTERFILE = addchapter.sce
604 HELP_CHAPTERLANG = en_US fr_FR pt_BR
605 all: all-am
606
607 .SUFFIXES:
608 .SUFFIXES: .sci .bin .c .f .lo .o .obj
609 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
610         @for dep in $?; do \
611           case '$(am__configure_deps)' in \
612             *$$dep*) \
613               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
614                 && { if test -f $@; then exit 0; else break; fi; }; \
615               exit 1;; \
616           esac; \
617         done; \
618         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/data_structures/Makefile'; \
619         $(am__cd) $(top_srcdir) && \
620           $(AUTOMAKE) --foreign modules/data_structures/Makefile
621 .PRECIOUS: Makefile
622 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
623         @case '$?' in \
624           *config.status*) \
625             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
626           *) \
627             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
628             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
629         esac;
630 $(top_srcdir)/Makefile.incl.am:
631
632 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
633         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
634
635 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
636         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
637 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
638         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
639 $(am__aclocal_m4_deps):
640
641 clean-noinstLTLIBRARIES:
642         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
643         @list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
644           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
645           test "$$dir" != "$$p" || dir=.; \
646           echo "rm -f \"$${dir}/so_locations\""; \
647           rm -f "$${dir}/so_locations"; \
648         done
649 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
650         @$(NORMAL_INSTALL)
651         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
652         list2=; for p in $$list; do \
653           if test -f $$p; then \
654             list2="$$list2 $$p"; \
655           else :; fi; \
656         done; \
657         test -z "$$list2" || { \
658           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
659           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
660           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
661           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
662         }
663
664 uninstall-pkglibLTLIBRARIES:
665         @$(NORMAL_UNINSTALL)
666         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
667         for p in $$list; do \
668           $(am__strip_dir) \
669           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
670           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
671         done
672
673 clean-pkglibLTLIBRARIES:
674         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
675         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
676           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
677           test "$$dir" != "$$p" || dir=.; \
678           echo "rm -f \"$${dir}/so_locations\""; \
679           rm -f "$${dir}/so_locations"; \
680         done
681 libscidata_structures-algo.la: $(libscidata_structures_algo_la_OBJECTS) $(libscidata_structures_algo_la_DEPENDENCIES) $(EXTRA_libscidata_structures_algo_la_DEPENDENCIES) 
682         $(F77LINK) $(am_libscidata_structures_algo_la_rpath) $(libscidata_structures_algo_la_OBJECTS) $(libscidata_structures_algo_la_LIBADD) $(LIBS)
683 libscidata_structures.la: $(libscidata_structures_la_OBJECTS) $(libscidata_structures_la_DEPENDENCIES) $(EXTRA_libscidata_structures_la_DEPENDENCIES) 
684         $(F77LINK) $(am_libscidata_structures_la_rpath) $(libscidata_structures_la_OBJECTS) $(libscidata_structures_la_LIBADD) $(LIBS)
685
686 mostlyclean-compile:
687         -rm -f *.$(OBJEXT)
688
689 distclean-compile:
690         -rm -f *.tab.c
691
692 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscidata_structures_algo_la-hmops.Plo@am__quote@
693 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscidata_structures_algo_la-stcreate.Plo@am__quote@
694 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscidata_structures_algo_la-strpos.Plo@am__quote@
695 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscidata_structures_la-gw_data_structures1.Plo@am__quote@
696 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscidata_structures_la-gw_data_structures2.Plo@am__quote@
697 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscidata_structures_la-sci_definedfields.Plo@am__quote@
698 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscidata_structures_la-sci_getfield.Plo@am__quote@
699 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscidata_structures_la-sci_glist.Plo@am__quote@
700 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscidata_structures_la-sci_lsslist.Plo@am__quote@
701 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscidata_structures_la-sci_lstcat.Plo@am__quote@
702 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscidata_structures_la-sci_lstsize.Plo@am__quote@
703 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscidata_structures_la-sci_rlist.Plo@am__quote@
704 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscidata_structures_la-sci_setfield.Plo@am__quote@
705
706 .c.o:
707 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
708 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
709 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
710 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
711 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
712
713 .c.obj:
714 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
715 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
716 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
717 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
718 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
719
720 .c.lo:
721 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
722 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
723 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
724 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
725 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
726
727 libscidata_structures_algo_la-stcreate.lo: src/c/stcreate.c
728 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscidata_structures_algo_la-stcreate.lo -MD -MP -MF $(DEPDIR)/libscidata_structures_algo_la-stcreate.Tpo -c -o libscidata_structures_algo_la-stcreate.lo `test -f 'src/c/stcreate.c' || echo '$(srcdir)/'`src/c/stcreate.c
729 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscidata_structures_algo_la-stcreate.Tpo $(DEPDIR)/libscidata_structures_algo_la-stcreate.Plo
730 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/stcreate.c' object='libscidata_structures_algo_la-stcreate.lo' libtool=yes @AMDEPBACKSLASH@
731 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
732 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscidata_structures_algo_la-stcreate.lo `test -f 'src/c/stcreate.c' || echo '$(srcdir)/'`src/c/stcreate.c
733
734 libscidata_structures_algo_la-hmops.lo: src/c/hmops.c
735 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscidata_structures_algo_la-hmops.lo -MD -MP -MF $(DEPDIR)/libscidata_structures_algo_la-hmops.Tpo -c -o libscidata_structures_algo_la-hmops.lo `test -f 'src/c/hmops.c' || echo '$(srcdir)/'`src/c/hmops.c
736 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscidata_structures_algo_la-hmops.Tpo $(DEPDIR)/libscidata_structures_algo_la-hmops.Plo
737 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/hmops.c' object='libscidata_structures_algo_la-hmops.lo' libtool=yes @AMDEPBACKSLASH@
738 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
739 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscidata_structures_algo_la-hmops.lo `test -f 'src/c/hmops.c' || echo '$(srcdir)/'`src/c/hmops.c
740
741 libscidata_structures_algo_la-strpos.lo: src/c/strpos.c
742 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscidata_structures_algo_la-strpos.lo -MD -MP -MF $(DEPDIR)/libscidata_structures_algo_la-strpos.Tpo -c -o libscidata_structures_algo_la-strpos.lo `test -f 'src/c/strpos.c' || echo '$(srcdir)/'`src/c/strpos.c
743 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscidata_structures_algo_la-strpos.Tpo $(DEPDIR)/libscidata_structures_algo_la-strpos.Plo
744 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/strpos.c' object='libscidata_structures_algo_la-strpos.lo' libtool=yes @AMDEPBACKSLASH@
745 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
746 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscidata_structures_algo_la-strpos.lo `test -f 'src/c/strpos.c' || echo '$(srcdir)/'`src/c/strpos.c
747
748 libscidata_structures_la-sci_lsslist.lo: sci_gateway/c/sci_lsslist.c
749 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscidata_structures_la-sci_lsslist.lo -MD -MP -MF $(DEPDIR)/libscidata_structures_la-sci_lsslist.Tpo -c -o libscidata_structures_la-sci_lsslist.lo `test -f 'sci_gateway/c/sci_lsslist.c' || echo '$(srcdir)/'`sci_gateway/c/sci_lsslist.c
750 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscidata_structures_la-sci_lsslist.Tpo $(DEPDIR)/libscidata_structures_la-sci_lsslist.Plo
751 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_lsslist.c' object='libscidata_structures_la-sci_lsslist.lo' libtool=yes @AMDEPBACKSLASH@
752 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
753 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscidata_structures_la-sci_lsslist.lo `test -f 'sci_gateway/c/sci_lsslist.c' || echo '$(srcdir)/'`sci_gateway/c/sci_lsslist.c
754
755 libscidata_structures_la-sci_glist.lo: sci_gateway/c/sci_glist.c
756 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscidata_structures_la-sci_glist.lo -MD -MP -MF $(DEPDIR)/libscidata_structures_la-sci_glist.Tpo -c -o libscidata_structures_la-sci_glist.lo `test -f 'sci_gateway/c/sci_glist.c' || echo '$(srcdir)/'`sci_gateway/c/sci_glist.c
757 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscidata_structures_la-sci_glist.Tpo $(DEPDIR)/libscidata_structures_la-sci_glist.Plo
758 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_glist.c' object='libscidata_structures_la-sci_glist.lo' libtool=yes @AMDEPBACKSLASH@
759 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
760 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscidata_structures_la-sci_glist.lo `test -f 'sci_gateway/c/sci_glist.c' || echo '$(srcdir)/'`sci_gateway/c/sci_glist.c
761
762 libscidata_structures_la-sci_definedfields.lo: sci_gateway/c/sci_definedfields.c
763 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscidata_structures_la-sci_definedfields.lo -MD -MP -MF $(DEPDIR)/libscidata_structures_la-sci_definedfields.Tpo -c -o libscidata_structures_la-sci_definedfields.lo `test -f 'sci_gateway/c/sci_definedfields.c' || echo '$(srcdir)/'`sci_gateway/c/sci_definedfields.c
764 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscidata_structures_la-sci_definedfields.Tpo $(DEPDIR)/libscidata_structures_la-sci_definedfields.Plo
765 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_definedfields.c' object='libscidata_structures_la-sci_definedfields.lo' libtool=yes @AMDEPBACKSLASH@
766 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
767 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscidata_structures_la-sci_definedfields.lo `test -f 'sci_gateway/c/sci_definedfields.c' || echo '$(srcdir)/'`sci_gateway/c/sci_definedfields.c
768
769 libscidata_structures_la-sci_getfield.lo: sci_gateway/c/sci_getfield.c
770 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscidata_structures_la-sci_getfield.lo -MD -MP -MF $(DEPDIR)/libscidata_structures_la-sci_getfield.Tpo -c -o libscidata_structures_la-sci_getfield.lo `test -f 'sci_gateway/c/sci_getfield.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getfield.c
771 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscidata_structures_la-sci_getfield.Tpo $(DEPDIR)/libscidata_structures_la-sci_getfield.Plo
772 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_getfield.c' object='libscidata_structures_la-sci_getfield.lo' libtool=yes @AMDEPBACKSLASH@
773 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
774 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscidata_structures_la-sci_getfield.lo `test -f 'sci_gateway/c/sci_getfield.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getfield.c
775
776 libscidata_structures_la-sci_setfield.lo: sci_gateway/c/sci_setfield.c
777 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscidata_structures_la-sci_setfield.lo -MD -MP -MF $(DEPDIR)/libscidata_structures_la-sci_setfield.Tpo -c -o libscidata_structures_la-sci_setfield.lo `test -f 'sci_gateway/c/sci_setfield.c' || echo '$(srcdir)/'`sci_gateway/c/sci_setfield.c
778 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscidata_structures_la-sci_setfield.Tpo $(DEPDIR)/libscidata_structures_la-sci_setfield.Plo
779 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_setfield.c' object='libscidata_structures_la-sci_setfield.lo' libtool=yes @AMDEPBACKSLASH@
780 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
781 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscidata_structures_la-sci_setfield.lo `test -f 'sci_gateway/c/sci_setfield.c' || echo '$(srcdir)/'`sci_gateway/c/sci_setfield.c
782
783 libscidata_structures_la-sci_lstcat.lo: sci_gateway/c/sci_lstcat.c
784 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscidata_structures_la-sci_lstcat.lo -MD -MP -MF $(DEPDIR)/libscidata_structures_la-sci_lstcat.Tpo -c -o libscidata_structures_la-sci_lstcat.lo `test -f 'sci_gateway/c/sci_lstcat.c' || echo '$(srcdir)/'`sci_gateway/c/sci_lstcat.c
785 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscidata_structures_la-sci_lstcat.Tpo $(DEPDIR)/libscidata_structures_la-sci_lstcat.Plo
786 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_lstcat.c' object='libscidata_structures_la-sci_lstcat.lo' libtool=yes @AMDEPBACKSLASH@
787 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
788 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscidata_structures_la-sci_lstcat.lo `test -f 'sci_gateway/c/sci_lstcat.c' || echo '$(srcdir)/'`sci_gateway/c/sci_lstcat.c
789
790 libscidata_structures_la-gw_data_structures1.lo: sci_gateway/c/gw_data_structures1.c
791 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscidata_structures_la-gw_data_structures1.lo -MD -MP -MF $(DEPDIR)/libscidata_structures_la-gw_data_structures1.Tpo -c -o libscidata_structures_la-gw_data_structures1.lo `test -f 'sci_gateway/c/gw_data_structures1.c' || echo '$(srcdir)/'`sci_gateway/c/gw_data_structures1.c
792 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscidata_structures_la-gw_data_structures1.Tpo $(DEPDIR)/libscidata_structures_la-gw_data_structures1.Plo
793 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/gw_data_structures1.c' object='libscidata_structures_la-gw_data_structures1.lo' libtool=yes @AMDEPBACKSLASH@
794 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
795 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscidata_structures_la-gw_data_structures1.lo `test -f 'sci_gateway/c/gw_data_structures1.c' || echo '$(srcdir)/'`sci_gateway/c/gw_data_structures1.c
796
797 libscidata_structures_la-gw_data_structures2.lo: sci_gateway/c/gw_data_structures2.c
798 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscidata_structures_la-gw_data_structures2.lo -MD -MP -MF $(DEPDIR)/libscidata_structures_la-gw_data_structures2.Tpo -c -o libscidata_structures_la-gw_data_structures2.lo `test -f 'sci_gateway/c/gw_data_structures2.c' || echo '$(srcdir)/'`sci_gateway/c/gw_data_structures2.c
799 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscidata_structures_la-gw_data_structures2.Tpo $(DEPDIR)/libscidata_structures_la-gw_data_structures2.Plo
800 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/gw_data_structures2.c' object='libscidata_structures_la-gw_data_structures2.lo' libtool=yes @AMDEPBACKSLASH@
801 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
802 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscidata_structures_la-gw_data_structures2.lo `test -f 'sci_gateway/c/gw_data_structures2.c' || echo '$(srcdir)/'`sci_gateway/c/gw_data_structures2.c
803
804 libscidata_structures_la-sci_lstsize.lo: sci_gateway/c/sci_lstsize.c
805 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscidata_structures_la-sci_lstsize.lo -MD -MP -MF $(DEPDIR)/libscidata_structures_la-sci_lstsize.Tpo -c -o libscidata_structures_la-sci_lstsize.lo `test -f 'sci_gateway/c/sci_lstsize.c' || echo '$(srcdir)/'`sci_gateway/c/sci_lstsize.c
806 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscidata_structures_la-sci_lstsize.Tpo $(DEPDIR)/libscidata_structures_la-sci_lstsize.Plo
807 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_lstsize.c' object='libscidata_structures_la-sci_lstsize.lo' libtool=yes @AMDEPBACKSLASH@
808 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
809 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscidata_structures_la-sci_lstsize.lo `test -f 'sci_gateway/c/sci_lstsize.c' || echo '$(srcdir)/'`sci_gateway/c/sci_lstsize.c
810
811 libscidata_structures_la-sci_rlist.lo: sci_gateway/c/sci_rlist.c
812 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscidata_structures_la-sci_rlist.lo -MD -MP -MF $(DEPDIR)/libscidata_structures_la-sci_rlist.Tpo -c -o libscidata_structures_la-sci_rlist.lo `test -f 'sci_gateway/c/sci_rlist.c' || echo '$(srcdir)/'`sci_gateway/c/sci_rlist.c
813 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscidata_structures_la-sci_rlist.Tpo $(DEPDIR)/libscidata_structures_la-sci_rlist.Plo
814 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_rlist.c' object='libscidata_structures_la-sci_rlist.lo' libtool=yes @AMDEPBACKSLASH@
815 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
816 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscidata_structures_la-sci_rlist.lo `test -f 'sci_gateway/c/sci_rlist.c' || echo '$(srcdir)/'`sci_gateway/c/sci_rlist.c
817
818 .f.o:
819         $(F77COMPILE) -c -o $@ $<
820
821 .f.obj:
822         $(F77COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
823
824 .f.lo:
825         $(LTF77COMPILE) -c -o $@ $<
826
827 extractfields.lo: src/fortran/extractfields.f
828         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o extractfields.lo `test -f 'src/fortran/extractfields.f' || echo '$(srcdir)/'`src/fortran/extractfields.f
829
830 forcerhs.lo: src/fortran/forcerhs.f
831         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o forcerhs.lo `test -f 'src/fortran/forcerhs.f' || echo '$(srcdir)/'`src/fortran/forcerhs.f
832
833 lsstyp.lo: src/fortran/lsstyp.f
834         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o lsstyp.lo `test -f 'src/fortran/lsstyp.f' || echo '$(srcdir)/'`src/fortran/lsstyp.f
835
836 udptr.lo: src/fortran/udptr.f
837         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o udptr.lo `test -f 'src/fortran/udptr.f' || echo '$(srcdir)/'`src/fortran/udptr.f
838
839 rattyp.lo: src/fortran/rattyp.f
840         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o rattyp.lo `test -f 'src/fortran/rattyp.f' || echo '$(srcdir)/'`src/fortran/rattyp.f
841
842 gratyp.lo: src/fortran/gratyp.f
843         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o gratyp.lo `test -f 'src/fortran/gratyp.f' || echo '$(srcdir)/'`src/fortran/gratyp.f
844
845 mlist.lo: src/fortran/mlist.f
846         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o mlist.lo `test -f 'src/fortran/mlist.f' || echo '$(srcdir)/'`src/fortran/mlist.f
847
848 insertfield.lo: src/fortran/insertfield.f
849         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o insertfield.lo `test -f 'src/fortran/insertfield.f' || echo '$(srcdir)/'`src/fortran/insertfield.f
850
851 sci_f_definedfields.lo: sci_gateway/fortran/sci_f_definedfields.f
852         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o sci_f_definedfields.lo `test -f 'sci_gateway/fortran/sci_f_definedfields.f' || echo '$(srcdir)/'`sci_gateway/fortran/sci_f_definedfields.f
853
854 sci_f_lstsize.lo: sci_gateway/fortran/sci_f_lstsize.f
855         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o sci_f_lstsize.lo `test -f 'sci_gateway/fortran/sci_f_lstsize.f' || echo '$(srcdir)/'`sci_gateway/fortran/sci_f_lstsize.f
856
857 sci_f_lstcat.lo: sci_gateway/fortran/sci_f_lstcat.f
858         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o sci_f_lstcat.lo `test -f 'sci_gateway/fortran/sci_f_lstcat.f' || echo '$(srcdir)/'`sci_gateway/fortran/sci_f_lstcat.f
859
860 sci_f_list.lo: sci_gateway/fortran/sci_f_list.f
861         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o sci_f_list.lo `test -f 'sci_gateway/fortran/sci_f_list.f' || echo '$(srcdir)/'`sci_gateway/fortran/sci_f_list.f
862
863 mostlyclean-libtool:
864         -rm -f *.lo
865
866 clean-libtool:
867         -rm -rf .libs _libs
868 install-libscidata_structures_la_etcDATA: $(libscidata_structures_la_etc_DATA)
869         @$(NORMAL_INSTALL)
870         @list='$(libscidata_structures_la_etc_DATA)'; test -n "$(libscidata_structures_la_etcdir)" || list=; \
871         if test -n "$$list"; then \
872           echo " $(MKDIR_P) '$(DESTDIR)$(libscidata_structures_la_etcdir)'"; \
873           $(MKDIR_P) "$(DESTDIR)$(libscidata_structures_la_etcdir)" || exit 1; \
874         fi; \
875         for p in $$list; do \
876           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
877           echo "$$d$$p"; \
878         done | $(am__base_list) | \
879         while read files; do \
880           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscidata_structures_la_etcdir)'"; \
881           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscidata_structures_la_etcdir)" || exit $$?; \
882         done
883
884 uninstall-libscidata_structures_la_etcDATA:
885         @$(NORMAL_UNINSTALL)
886         @list='$(libscidata_structures_la_etc_DATA)'; test -n "$(libscidata_structures_la_etcdir)" || list=; \
887         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
888         dir='$(DESTDIR)$(libscidata_structures_la_etcdir)'; $(am__uninstall_files_from_dir)
889 install-libscidata_structures_la_rootDATA: $(libscidata_structures_la_root_DATA)
890         @$(NORMAL_INSTALL)
891         @list='$(libscidata_structures_la_root_DATA)'; test -n "$(libscidata_structures_la_rootdir)" || list=; \
892         if test -n "$$list"; then \
893           echo " $(MKDIR_P) '$(DESTDIR)$(libscidata_structures_la_rootdir)'"; \
894           $(MKDIR_P) "$(DESTDIR)$(libscidata_structures_la_rootdir)" || exit 1; \
895         fi; \
896         for p in $$list; do \
897           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
898           echo "$$d$$p"; \
899         done | $(am__base_list) | \
900         while read files; do \
901           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscidata_structures_la_rootdir)'"; \
902           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscidata_structures_la_rootdir)" || exit $$?; \
903         done
904
905 uninstall-libscidata_structures_la_rootDATA:
906         @$(NORMAL_UNINSTALL)
907         @list='$(libscidata_structures_la_root_DATA)'; test -n "$(libscidata_structures_la_rootdir)" || list=; \
908         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
909         dir='$(DESTDIR)$(libscidata_structures_la_rootdir)'; $(am__uninstall_files_from_dir)
910 install-libscidata_structures_la_sci_gatewayDATA: $(libscidata_structures_la_sci_gateway_DATA)
911         @$(NORMAL_INSTALL)
912         @list='$(libscidata_structures_la_sci_gateway_DATA)'; test -n "$(libscidata_structures_la_sci_gatewaydir)" || list=; \
913         if test -n "$$list"; then \
914           echo " $(MKDIR_P) '$(DESTDIR)$(libscidata_structures_la_sci_gatewaydir)'"; \
915           $(MKDIR_P) "$(DESTDIR)$(libscidata_structures_la_sci_gatewaydir)" || exit 1; \
916         fi; \
917         for p in $$list; do \
918           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
919           echo "$$d$$p"; \
920         done | $(am__base_list) | \
921         while read files; do \
922           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscidata_structures_la_sci_gatewaydir)'"; \
923           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscidata_structures_la_sci_gatewaydir)" || exit $$?; \
924         done
925
926 uninstall-libscidata_structures_la_sci_gatewayDATA:
927         @$(NORMAL_UNINSTALL)
928         @list='$(libscidata_structures_la_sci_gateway_DATA)'; test -n "$(libscidata_structures_la_sci_gatewaydir)" || list=; \
929         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
930         dir='$(DESTDIR)$(libscidata_structures_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
931
932 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
933         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
934         unique=`for i in $$list; do \
935             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
936           done | \
937           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
938               END { if (nonempty) { for (i in files) print i; }; }'`; \
939         mkid -fID $$unique
940 tags: TAGS
941
942 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
943                 $(TAGS_FILES) $(LISP)
944         set x; \
945         here=`pwd`; \
946         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
947         unique=`for i in $$list; do \
948             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
949           done | \
950           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
951               END { if (nonempty) { for (i in files) print i; }; }'`; \
952         shift; \
953         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
954           test -n "$$unique" || unique=$$empty_fix; \
955           if test $$# -gt 0; then \
956             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
957               "$$@" $$unique; \
958           else \
959             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
960               $$unique; \
961           fi; \
962         fi
963 ctags: CTAGS
964 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
965                 $(TAGS_FILES) $(LISP)
966         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
967         unique=`for i in $$list; do \
968             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
969           done | \
970           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
971               END { if (nonempty) { for (i in files) print i; }; }'`; \
972         test -z "$(CTAGS_ARGS)$$unique" \
973           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
974              $$unique
975
976 GTAGS:
977         here=`$(am__cd) $(top_builddir) && pwd` \
978           && $(am__cd) $(top_srcdir) \
979           && gtags -i $(GTAGS_ARGS) "$$here"
980
981 distclean-tags:
982         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
983
984 distdir: $(DISTFILES)
985         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
986         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
987         list='$(DISTFILES)'; \
988           dist_files=`for file in $$list; do echo $$file; done | \
989           sed -e "s|^$$srcdirstrip/||;t" \
990               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
991         case $$dist_files in \
992           */*) $(MKDIR_P) `echo "$$dist_files" | \
993                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
994                            sort -u` ;; \
995         esac; \
996         for file in $$dist_files; do \
997           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
998           if test -d $$d/$$file; then \
999             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1000             if test -d "$(distdir)/$$file"; then \
1001               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1002             fi; \
1003             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1004               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1005               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1006             fi; \
1007             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1008           else \
1009             test -f "$(distdir)/$$file" \
1010             || cp -p $$d/$$file "$(distdir)/$$file" \
1011             || exit 1; \
1012           fi; \
1013         done
1014 check-am: all-am
1015         $(MAKE) $(AM_MAKEFLAGS) check-local
1016 check: check-am
1017 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1018 installdirs:
1019         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscidata_structures_la_etcdir)" "$(DESTDIR)$(libscidata_structures_la_rootdir)" "$(DESTDIR)$(libscidata_structures_la_sci_gatewaydir)"; do \
1020           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1021         done
1022 install: install-am
1023 install-exec: install-exec-am
1024 install-data: install-data-am
1025 uninstall: uninstall-am
1026
1027 install-am: all-am
1028         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1029
1030 installcheck: installcheck-am
1031 install-strip:
1032         if test -z '$(STRIP)'; then \
1033           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1034             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1035               install; \
1036         else \
1037           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1038             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1039             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1040         fi
1041 mostlyclean-generic:
1042
1043 clean-generic:
1044
1045 distclean-generic:
1046         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1047         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1048
1049 maintainer-clean-generic:
1050         @echo "This command is intended for maintainers to use"
1051         @echo "it deletes files that may require special tools to rebuild."
1052 clean: clean-am
1053
1054 clean-am: clean-generic clean-libtool clean-local \
1055         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1056
1057 distclean: distclean-am
1058         -rm -rf ./$(DEPDIR)
1059         -rm -f Makefile
1060 distclean-am: clean-am distclean-compile distclean-generic \
1061         distclean-local distclean-tags
1062
1063 dvi: dvi-am
1064
1065 dvi-am:
1066
1067 html: html-am
1068
1069 html-am:
1070
1071 info: info-am
1072
1073 info-am:
1074
1075 install-data-am: install-data-local \
1076         install-libscidata_structures_la_etcDATA \
1077         install-libscidata_structures_la_rootDATA \
1078         install-libscidata_structures_la_sci_gatewayDATA
1079
1080 install-dvi: install-dvi-am
1081
1082 install-dvi-am:
1083
1084 install-exec-am: install-pkglibLTLIBRARIES
1085
1086 install-html: install-html-am
1087
1088 install-html-am: install-html-local
1089
1090 install-info: install-info-am
1091
1092 install-info-am:
1093
1094 install-man:
1095
1096 install-pdf: install-pdf-am
1097
1098 install-pdf-am:
1099
1100 install-ps: install-ps-am
1101
1102 install-ps-am:
1103
1104 installcheck-am:
1105
1106 maintainer-clean: maintainer-clean-am
1107         -rm -rf ./$(DEPDIR)
1108         -rm -f Makefile
1109 maintainer-clean-am: distclean-am maintainer-clean-generic
1110
1111 mostlyclean: mostlyclean-am
1112
1113 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1114         mostlyclean-libtool
1115
1116 pdf: pdf-am
1117
1118 pdf-am:
1119
1120 ps: ps-am
1121
1122 ps-am:
1123
1124 uninstall-am: uninstall-libscidata_structures_la_etcDATA \
1125         uninstall-libscidata_structures_la_rootDATA \
1126         uninstall-libscidata_structures_la_sci_gatewayDATA \
1127         uninstall-pkglibLTLIBRARIES
1128
1129 .MAKE: check-am install-am install-strip
1130
1131 .PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
1132         clean clean-generic clean-libtool clean-local \
1133         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES ctags \
1134         distclean distclean-compile distclean-generic \
1135         distclean-libtool distclean-local distclean-tags distdir dvi \
1136         dvi-am html html-am info info-am install install-am \
1137         install-data install-data-am install-data-local install-dvi \
1138         install-dvi-am install-exec install-exec-am install-html \
1139         install-html-am install-html-local install-info \
1140         install-info-am install-libscidata_structures_la_etcDATA \
1141         install-libscidata_structures_la_rootDATA \
1142         install-libscidata_structures_la_sci_gatewayDATA install-man \
1143         install-pdf install-pdf-am install-pkglibLTLIBRARIES \
1144         install-ps install-ps-am install-strip installcheck \
1145         installcheck-am installdirs maintainer-clean \
1146         maintainer-clean-generic mostlyclean mostlyclean-compile \
1147         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1148         tags uninstall uninstall-am \
1149         uninstall-libscidata_structures_la_etcDATA \
1150         uninstall-libscidata_structures_la_rootDATA \
1151         uninstall-libscidata_structures_la_sci_gatewayDATA \
1152         uninstall-pkglibLTLIBRARIES
1153
1154
1155 # This target enables tests for Scilab
1156 check-local: $(top_builddir)/scilab-bin test
1157         if test -d $(mydatadir)/tests; then \
1158           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1159         fi
1160 check-code:
1161         if test -f build.xml; then \
1162                 $(ANT) checkstyle; \
1163         fi
1164         if test -x "$(SPLINT)"; then \
1165                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1166         fi
1167 @NEED_JAVA_TRUE@java:
1168 # Some configurations needs to export JAVA_HOME in the current env
1169 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1170 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1171 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1172 @NEED_JAVA_TRUE@                $(ANT); \
1173 @NEED_JAVA_TRUE@        fi
1174
1175 @NEED_JAVA_TRUE@clean-java:
1176 # Some configurations needs to export JAVA_HOME in the current env
1177 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1178 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1179 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1180 @NEED_JAVA_TRUE@                $(ANT) clean; \
1181 @NEED_JAVA_TRUE@        fi;
1182
1183 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1184 # We call the target swig-build on the variable SWIG_WRAPPERS
1185
1186 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1187 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1188 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1189 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1190 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1191 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1192 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1193 @SWIG_TRUE@             done; \
1194 @SWIG_TRUE@     fi
1195
1196 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1197 # We call the target swig-build on the variable SWIG_WRAPPERS
1198
1199 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1200 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1201 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1202 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1203 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1204 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1205 @GIWS_TRUE@             done; \
1206 @GIWS_TRUE@     fi
1207
1208 @GIWS_TRUE@giws-exception:
1209 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1210 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1211 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1212
1213 macros:
1214         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1215                 echo "Error : Cannot build $< : Scilab has not been built"; \
1216         else \
1217                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1218         fi)
1219
1220 # Removes the macros
1221 clean-macros:
1222 # Removes macros (*.bin generated from .sci)
1223         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1224                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1225                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1226         done
1227
1228 test:
1229 # More tests could be added here
1230         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1231         if test -f build.xml -a $$USEANT -eq 1; then \
1232                 $(ANT) test; \
1233         fi
1234
1235 all-local: $(TARGETS_ALL)
1236
1237 .sci.bin:
1238         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1239         echo "Error : Cannot build $< : Scilab has not been build"; \
1240         else \
1241         echo "Creating $@"; \
1242         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1243         fi )
1244
1245 install-html-local:
1246
1247 install-data-local-local:
1248 # Mainly for javasci
1249         @if test -d $(srcdir)/javadoc; then \
1250                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1251         fi
1252 # If the user wants the help sources to be installed
1253 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1254 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1255 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1256 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1257 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1258 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1259 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1260 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1261 @INSTALL_HELP_XML_TRUE@           done ; \
1262 @INSTALL_HELP_XML_TRUE@         fi; \
1263 @INSTALL_HELP_XML_TRUE@  fi; \
1264 @INSTALL_HELP_XML_TRUE@ done; \
1265 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1266 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1267 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1268 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1269 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1270 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1271 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1272 @INSTALL_HELP_XML_TRUE@           done ; \
1273 @INSTALL_HELP_XML_TRUE@         fi; \
1274 @INSTALL_HELP_XML_TRUE@ fi
1275 install-data-local:
1276 # Install the tests
1277         @echo "-------- Install tests (if any) --------"; \
1278         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1279           if test -d $(srcdir)/$$dir/; then \
1280             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1281                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1282                     if test -d "$(srcdir)/$$dir/$$file"; then \
1283                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1284                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1285                     else \
1286                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1287                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1288                     fi \
1289                   done; \
1290           fi; \
1291         done
1292 # Install the help chapter
1293         @echo "-------- Install the help chapter (if any) --------"; \
1294         for lang in $(HELP_CHAPTERLANG); do \
1295                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1296                 if test -f $$HELPFILE; then \
1297                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1298                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1299                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1300                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1301                 fi; \
1302         done
1303 # Install the demos & examples
1304         @echo "-------- Install demos & examples (if any) --------"; \
1305         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1306           if test -d $(srcdir)/$$dir/; then \
1307             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1308                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1309                     if test -d "$(srcdir)/$$dir/$$file"; then \
1310                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1311                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1312                     else \
1313                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1314                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1315                     fi \
1316                   done; \
1317           fi; \
1318         done
1319 # Install the macros
1320         @echo "-------- Install macros (if any) --------"; \
1321         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1322           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1323                 if test -d $(srcdir)/$$dir/; then \
1324                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1325                         if test -n "$(MACROSSPECIALEXT)"; then \
1326                                 specialExtDir=""; \
1327                                 for specialExt in $(MACROSSPECIALEXT); do \
1328                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1329                                 done; \
1330                                 FILELIST="$$FILELIST $$specialExtDir"; \
1331                         fi; \
1332                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1333                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1334                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1335                   done; \
1336                 fi; \
1337         done
1338 # Install java files (.jar)
1339         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1340         echo "-------- Install jar files --------"; \
1341     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1342           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1343                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1344                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1345           done ; \
1346         fi
1347
1348 ########### CLEAN ###################
1349 # Clean help (generated automatically by Scilab)
1350 # It used to clean the macro (clean-macros) but this was causing
1351 # make clean && make to fail Scilab startup
1352 @NEED_JAVA_TRUE@clean-local: clean-java
1353 @NEED_JAVA_FALSE@clean-local:
1354
1355 distclean-local:
1356         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1357
1358 .PHONY: macros java swig giws
1359
1360 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1361 # Otherwise a system limit (for SysV at least) may be exceeded.
1362 .NOEXPORT: